OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKSTEP
StepToGeom

# StepToGeom_MakeAxis2Placement Class Reference

This class implements the mapping between classes
Axis2Placement from Step and Axis2Placement from Geom
.

`#include <StepToGeom_MakeAxis2Placement.hxx>`

Inheritance diagram for StepToGeom_MakeAxis2Placement:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | StepToGeom_MakeAxis2Placement (const Handle(StepGeom_Axis2Placement3d)&A)
Standard_EXPORT const Handle_Geom_Axis2Placement & | Value () const
## Private Attributes
Handle_Geom_Axis2Placement | theAxis2Placement

## Constructor & Destructor Documentation

Standard_EXPORT StepToGeom_MakeAxis2Placement::StepToGeom_MakeAxis2Placement | ( | const Handle(StepGeom_Axis2Placement3d)& | A | ) |

## Member Function Documentation

void StepToGeom_MakeAxis2Placement::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxis2Placement::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from StepToGeom_Root.

void* StepToGeom_MakeAxis2Placement::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from StepToGeom_Root.

Standard_EXPORT const Handle_Geom_Axis2Placement& StepToGeom_MakeAxis2Placement::Value | ( |  | ) | const

## Field Documentation

Handle_Geom_Axis2Placement StepToGeom_MakeAxis2Placement::theAxis2Placement`[private]`

The documentation for this class was generated from the following file:

- StepToGeom_MakeAxis2Placement.hxx